_round_point_put< T >

point output helper, with rounding feature More...

## Public Types

typedef point_basic< T >::size_type | size_type

## Public Member Functions

| _round_point_put (size_type d1, const T &eps1)
std::ostream & | operator() (std::ostream &os, const point_basic< T > &x)

## Public Attributes

size_type | d
rounder_type< T > | round

## Detailed Description

### template<class T>
struct rheolef::_round_point_put< T >

point output helper, with rounding feature

Definition at line 171 of file geo.h.

## Member Typedef Documentation

## size_type

typedef point_basic<T>::size_type size_type

Definition at line 172 of file geo.h.

## Constructor & Destructor Documentation

## _round_point_put()

_round_point_put | ( | size_type | d1,
|  | const T & | eps1
| ) |  |

Definition at line 173 of file geo.h.

## Member Function Documentation

## operator()()

std::ostream& operator() | ( | std::ostream & | os,
|  | const point_basic< T > & | x
| ) |  |

Definition at line 176 of file geo.h.

## Member Data Documentation

## d

size_type d

Definition at line 174 of file geo.h.

## round

rounder_type<T> round

Definition at line 175 of file geo.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/geo.h